Registrar un beneficiario
curl --request POST \
--url https://api.qbank.cl/platform/v1/banking/counterparties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "ACME supplier",
"profile": {
"name": "ACME LLC",
"additionalInfo": {
"type": "CORPORATION"
}
},
"accounts": [
{
"currencyCode": "USD",
"bank": {
"name": "Test Bank",
"number": 11000138
},
"fiat": {
"number": "0532013000",
"routingNumber": 11000138,
"additionalInformation": {
"type": "TYPE_FIAT_US",
"accountType": "CHECKING",
"supportedRails": [
"ACH"
]
}
}
}
]
}
'import requests
url = "https://api.qbank.cl/platform/v1/banking/counterparties"
payload = {
"description": "ACME supplier",
"profile": {
"name": "ACME LLC",
"additionalInfo": { "type": "CORPORATION" }
},
"accounts": [
{
"currencyCode": "USD",
"bank": {
"name": "Test Bank",
"number": 11000138
},
"fiat": {
"number": "0532013000",
"routingNumber": 11000138,
"additionalInformation": {
"type": "TYPE_FIAT_US",
"accountType": "CHECKING",
"supportedRails": ["ACH"]
}
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'ACME supplier',
profile: {name: 'ACME LLC', additionalInfo: {type: 'CORPORATION'}},
accounts: [
{
currencyCode: 'USD',
bank: {name: 'Test Bank', number: 11000138},
fiat: {
number: '0532013000',
routingNumber: 11000138,
additionalInformation: {type: 'TYPE_FIAT_US', accountType: 'CHECKING', supportedRails: ['ACH']}
}
}
]
})
};
fetch('https://api.qbank.cl/platform/v1/banking/counterparties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"counterparty_id": "b2c3d4e5-f6a7-b8c9-d0e1-f2a3b4c5d6e7",
"provider_id": "BNK-CP-7301",
"status": "active",
"data": {}
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}{
"error": "no_banking_customer",
"message": "create your banking customer first (POST /v1/banking/customer)"
}{
"error": {
"code": "banking_request_failed",
"message": "request rejected"
}
}Registrar un beneficiario
Registra un beneficiario tercero con sus datos bancarios. Gratis; la cuenta del beneficiario pasa por moderación antes de poder recibir pagos WITHDRAW.
POST
/
v1
/
banking
/
counterparties
Registrar un beneficiario
Autorizaciones
JWT de sesión (de register/login) o llave de API (pk_...).
X-API-Key: <token> se acepta como header alternativo.
Respuesta
Beneficiario registrado (cuentas pendientes de moderación).
The response is of type object.
Última modificación el 18 de julio de 2026
⌘I